List Unit ID Types

Reference for the GET /console/v1/unit_id_types endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/unit_id_types

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Unit ID Types Response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
namestringrequired

The name of the unit id type.

descriptionstring

The description of the unit id type.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
400· Invalid request. Please check the request input and try again.
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?